Index: projectionDesigner/trunk/projdesignerplugins/defaultplugin/defaultcubemapscenewidget.ui
===================================================================
--- projectionDesigner/trunk/projdesignerplugins/defaultplugin/defaultcubemapscenewidget.ui	(revision 432)
+++ projectionDesigner/trunk/projdesignerplugins/defaultplugin/defaultcubemapscenewidget.ui	(revision 434)
@@ -1,6 +1,7 @@
-<ui version="4.0" >
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
  <class>DefaultCubemapSceneWidget</class>
- <widget class="QWidget" name="DefaultCubemapSceneWidget" >
-  <property name="geometry" >
+ <widget class="QWidget" name="DefaultCubemapSceneWidget">
+  <property name="geometry">
    <rect>
     <x>0</x>
@@ -10,226 +11,214 @@
    </rect>
   </property>
-  <property name="windowTitle" >
+  <property name="windowTitle">
    <string>Projection Settings</string>
   </property>
-  <layout class="QGridLayout" >
-   <property name="margin" >
+  <layout class="QGridLayout">
+   <property name="margin">
     <number>0</number>
    </property>
-   <property name="spacing" >
+   <property name="spacing">
     <number>6</number>
    </property>
-   <item row="0" column="0" >
-    <widget class="QGroupBox" name="projectionGroup" >
-     <property name="title" >
+   <item row="0" column="0">
+    <widget class="QGroupBox" name="projectionGroup">
+     <property name="title">
       <string>Cubemap Properties</string>
      </property>
-     <layout class="QGridLayout" >
-      <property name="margin" >
+     <layout class="QGridLayout">
+      <property name="margin">
        <number>9</number>
       </property>
-      <property name="spacing" >
+      <property name="spacing">
        <number>6</number>
       </property>
-      <item row="0" column="0" >
-       <layout class="QGridLayout" >
-        <property name="margin" >
+      <item row="0" column="0">
+       <layout class="QGridLayout">
+        <property name="margin">
          <number>0</number>
         </property>
-        <property name="spacing" >
+        <property name="spacing">
          <number>6</number>
         </property>
-        <item row="4" column="1" >
-         <widget class="QLineEdit" name="topFileNameEdit" />
-        </item>
-        <item row="0" column="1" >
-         <widget class="QLineEdit" name="frontFileNameEdit" />
-        </item>
-        <item row="1" column="2" >
-         <widget class="QPushButton" name="backBrowseButton" >
-          <property name="sizePolicy" >
-           <sizepolicy>
-            <hsizetype>0</hsizetype>
-            <vsizetype>0</vsizetype>
-            <horstretch>0</horstretch>
-            <verstretch>0</verstretch>
-           </sizepolicy>
-          </property>
-          <property name="maximumSize" >
-           <size>
-            <width>23</width>
-            <height>16777215</height>
-           </size>
-          </property>
-          <property name="text" >
-           <string>...</string>
-          </property>
-         </widget>
-        </item>
-        <item row="1" column="1" >
-         <widget class="QLineEdit" name="backFileNameEdit" />
-        </item>
-        <item row="5" column="0" >
-         <widget class="QLabel" name="bottomLabel" >
-          <property name="text" >
+        <item row="4" column="1">
+         <widget class="QLineEdit" name="topFileNameEdit"/>
+        </item>
+        <item row="0" column="1">
+         <widget class="QLineEdit" name="frontFileNameEdit"/>
+        </item>
+        <item row="1" column="2">
+         <widget class="QPushButton" name="backBrowseButton">
+          <property name="sizePolicy">
+           <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+            <horstretch>0</horstretch>
+            <verstretch>0</verstretch>
+           </sizepolicy>
+          </property>
+          <property name="maximumSize">
+           <size>
+            <width>23</width>
+            <height>16777215</height>
+           </size>
+          </property>
+          <property name="text">
+           <string>...</string>
+          </property>
+         </widget>
+        </item>
+        <item row="1" column="1">
+         <widget class="QLineEdit" name="backFileNameEdit"/>
+        </item>
+        <item row="5" column="0">
+         <widget class="QLabel" name="bottomLabel">
+          <property name="text">
            <string>Bottom</string>
           </property>
          </widget>
         </item>
-        <item row="0" column="2" >
-         <widget class="QPushButton" name="frontBrowseButton" >
-          <property name="sizePolicy" >
-           <sizepolicy>
-            <hsizetype>0</hsizetype>
-            <vsizetype>0</vsizetype>
-            <horstretch>0</horstretch>
-            <verstretch>0</verstretch>
-           </sizepolicy>
-          </property>
-          <property name="maximumSize" >
-           <size>
-            <width>23</width>
-            <height>16777215</height>
-           </size>
-          </property>
-          <property name="text" >
-           <string>...</string>
-          </property>
-         </widget>
-        </item>
-        <item row="2" column="0" >
-         <widget class="QLabel" name="leftLabel" >
-          <property name="text" >
+        <item row="0" column="2">
+         <widget class="QPushButton" name="frontBrowseButton">
+          <property name="sizePolicy">
+           <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+            <horstretch>0</horstretch>
+            <verstretch>0</verstretch>
+           </sizepolicy>
+          </property>
+          <property name="maximumSize">
+           <size>
+            <width>23</width>
+            <height>16777215</height>
+           </size>
+          </property>
+          <property name="text">
+           <string>...</string>
+          </property>
+         </widget>
+        </item>
+        <item row="2" column="0">
+         <widget class="QLabel" name="leftLabel">
+          <property name="text">
            <string>Left</string>
           </property>
          </widget>
         </item>
-        <item row="4" column="2" >
-         <widget class="QPushButton" name="topBrowseButton" >
-          <property name="sizePolicy" >
-           <sizepolicy>
-            <hsizetype>0</hsizetype>
-            <vsizetype>0</vsizetype>
-            <horstretch>0</horstretch>
-            <verstretch>0</verstretch>
-           </sizepolicy>
-          </property>
-          <property name="maximumSize" >
-           <size>
-            <width>23</width>
-            <height>16777215</height>
-           </size>
-          </property>
-          <property name="text" >
-           <string>...</string>
-          </property>
-         </widget>
-        </item>
-        <item row="5" column="1" >
-         <widget class="QLineEdit" name="bottomFileNameEdit" />
-        </item>
-        <item row="4" column="0" >
-         <widget class="QLabel" name="topLabel" >
-          <property name="text" >
+        <item row="4" column="2">
+         <widget class="QPushButton" name="topBrowseButton">
+          <property name="sizePolicy">
+           <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+            <horstretch>0</horstretch>
+            <verstretch>0</verstretch>
+           </sizepolicy>
+          </property>
+          <property name="maximumSize">
+           <size>
+            <width>23</width>
+            <height>16777215</height>
+           </size>
+          </property>
+          <property name="text">
+           <string>...</string>
+          </property>
+         </widget>
+        </item>
+        <item row="5" column="1">
+         <widget class="QLineEdit" name="bottomFileNameEdit"/>
+        </item>
+        <item row="4" column="0">
+         <widget class="QLabel" name="topLabel">
+          <property name="text">
            <string>Top</string>
           </property>
          </widget>
         </item>
-        <item row="3" column="2" >
-         <widget class="QPushButton" name="rightBrowseButton" >
-          <property name="sizePolicy" >
-           <sizepolicy>
-            <hsizetype>0</hsizetype>
-            <vsizetype>0</vsizetype>
-            <horstretch>0</horstretch>
-            <verstretch>0</verstretch>
-           </sizepolicy>
-          </property>
-          <property name="maximumSize" >
-           <size>
-            <width>23</width>
-            <height>16777215</height>
-           </size>
-          </property>
-          <property name="text" >
-           <string>...</string>
-          </property>
-         </widget>
-        </item>
-        <item row="5" column="2" >
-         <widget class="QPushButton" name="bottomBrowseButton" >
-          <property name="sizePolicy" >
-           <sizepolicy>
-            <hsizetype>0</hsizetype>
-            <vsizetype>0</vsizetype>
-            <horstretch>0</horstretch>
-            <verstretch>0</verstretch>
-           </sizepolicy>
-          </property>
-          <property name="maximumSize" >
-           <size>
-            <width>23</width>
-            <height>16777215</height>
-           </size>
-          </property>
-          <property name="text" >
-           <string>...</string>
-          </property>
-         </widget>
-        </item>
-        <item row="3" column="0" >
-         <widget class="QLabel" name="rightLabel" >
-          <property name="text" >
+        <item row="3" column="2">
+         <widget class="QPushButton" name="rightBrowseButton">
+          <property name="sizePolicy">
+           <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+            <horstretch>0</horstretch>
+            <verstretch>0</verstretch>
+           </sizepolicy>
+          </property>
+          <property name="maximumSize">
+           <size>
+            <width>23</width>
+            <height>16777215</height>
+           </size>
+          </property>
+          <property name="text">
+           <string>...</string>
+          </property>
+         </widget>
+        </item>
+        <item row="5" column="2">
+         <widget class="QPushButton" name="bottomBrowseButton">
+          <property name="sizePolicy">
+           <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+            <horstretch>0</horstretch>
+            <verstretch>0</verstretch>
+           </sizepolicy>
+          </property>
+          <property name="maximumSize">
+           <size>
+            <width>23</width>
+            <height>16777215</height>
+           </size>
+          </property>
+          <property name="text">
+           <string>...</string>
+          </property>
+         </widget>
+        </item>
+        <item row="3" column="0">
+         <widget class="QLabel" name="rightLabel">
+          <property name="text">
            <string>Right</string>
           </property>
          </widget>
         </item>
-        <item row="2" column="2" >
-         <widget class="QPushButton" name="leftBrowseButton" >
-          <property name="sizePolicy" >
-           <sizepolicy>
-            <hsizetype>0</hsizetype>
-            <vsizetype>0</vsizetype>
-            <horstretch>0</horstretch>
-            <verstretch>0</verstretch>
-           </sizepolicy>
-          </property>
-          <property name="maximumSize" >
-           <size>
-            <width>23</width>
-            <height>16777215</height>
-           </size>
-          </property>
-          <property name="text" >
-           <string>...</string>
-          </property>
-         </widget>
-        </item>
-        <item row="0" column="0" >
-         <widget class="QLabel" name="frontLabel" >
-          <property name="text" >
+        <item row="2" column="2">
+         <widget class="QPushButton" name="leftBrowseButton">
+          <property name="sizePolicy">
+           <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+            <horstretch>0</horstretch>
+            <verstretch>0</verstretch>
+           </sizepolicy>
+          </property>
+          <property name="maximumSize">
+           <size>
+            <width>23</width>
+            <height>16777215</height>
+           </size>
+          </property>
+          <property name="text">
+           <string>...</string>
+          </property>
+         </widget>
+        </item>
+        <item row="0" column="0">
+         <widget class="QLabel" name="frontLabel">
+          <property name="text">
            <string>Front</string>
           </property>
          </widget>
         </item>
-        <item row="3" column="1" >
-         <widget class="QLineEdit" name="rightFileNameEdit" />
-        </item>
-        <item row="2" column="1" >
-         <widget class="QLineEdit" name="leftFileNameEdit" />
-        </item>
-        <item row="1" column="0" >
-         <widget class="QLabel" name="backLabel" >
-          <property name="text" >
+        <item row="3" column="1">
+         <widget class="QLineEdit" name="rightFileNameEdit"/>
+        </item>
+        <item row="2" column="1">
+         <widget class="QLineEdit" name="leftFileNameEdit"/>
+        </item>
+        <item row="1" column="0">
+         <widget class="QLabel" name="backLabel">
+          <property name="text">
            <string>Back</string>
           </property>
          </widget>
         </item>
-        <item row="6" column="1" >
+        <item row="6" column="1">
          <spacer>
-          <property name="orientation" >
+          <property name="orientation">
            <enum>Qt::Vertical</enum>
           </property>
-          <property name="sizeHint" >
+          <property name="sizeHint" stdset="0">
            <size>
             <width>20</width>
Index: projectionDesigner/trunk/projdesignerplugins/defaultplugin/defaultemptyscenewidget.ui
===================================================================
--- projectionDesigner/trunk/projdesignerplugins/defaultplugin/defaultemptyscenewidget.ui	(revision 432)
+++ projectionDesigner/trunk/projdesignerplugins/defaultplugin/defaultemptyscenewidget.ui	(revision 434)
@@ -1,6 +1,7 @@
-<ui version="4.0" >
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
  <class>DefaultEmptySceneWidget</class>
- <widget class="QWidget" name="DefaultEmptySceneWidget" >
-  <property name="geometry" >
+ <widget class="QWidget" name="DefaultEmptySceneWidget">
+  <property name="geometry">
    <rect>
     <x>0</x>
@@ -10,32 +11,32 @@
    </rect>
   </property>
-  <property name="windowTitle" >
+  <property name="windowTitle">
    <string>Projection Settings</string>
   </property>
-  <layout class="QVBoxLayout" >
-   <property name="margin" >
+  <layout class="QVBoxLayout">
+   <property name="spacing">
+    <number>6</number>
+   </property>
+   <property name="margin">
     <number>0</number>
    </property>
-   <property name="spacing" >
-    <number>6</number>
-   </property>
    <item>
-    <widget class="QGroupBox" name="projectionGroup" >
-     <property name="title" >
+    <widget class="QGroupBox" name="projectionGroup">
+     <property name="title">
       <string>Empty Properties</string>
      </property>
-     <layout class="QVBoxLayout" >
-      <property name="margin" >
+     <layout class="QVBoxLayout">
+      <property name="spacing">
+       <number>6</number>
+      </property>
+      <property name="margin">
        <number>9</number>
       </property>
-      <property name="spacing" >
-       <number>6</number>
-      </property>
       <item>
-       <widget class="QLabel" name="label" >
-        <property name="text" >
+       <widget class="QLabel" name="label">
+        <property name="text">
          <string>(nothing, sorry!)</string>
         </property>
-        <property name="alignment" >
+        <property name="alignment">
          <set>Qt::AlignCenter</set>
         </property>
Index: projectionDesigner/trunk/projdesignerplugins/defaultplugin/defaultmodelscenewidget.ui
===================================================================
--- projectionDesigner/trunk/projdesignerplugins/defaultplugin/defaultmodelscenewidget.ui	(revision 432)
+++ projectionDesigner/trunk/projdesignerplugins/defaultplugin/defaultmodelscenewidget.ui	(revision 434)
@@ -1,6 +1,7 @@
-<ui version="4.0" >
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
  <class>DefaultModelSceneWidget</class>
- <widget class="QWidget" name="DefaultModelSceneWidget" >
-  <property name="geometry" >
+ <widget class="QWidget" name="DefaultModelSceneWidget">
+  <property name="geometry">
    <rect>
     <x>0</x>
@@ -10,45 +11,45 @@
    </rect>
   </property>
-  <property name="windowTitle" >
+  <property name="windowTitle">
    <string>Projection Settings</string>
   </property>
-  <layout class="QGridLayout" >
-   <property name="margin" >
+  <layout class="QGridLayout">
+   <property name="margin">
     <number>0</number>
    </property>
-   <property name="spacing" >
+   <property name="spacing">
     <number>0</number>
    </property>
-   <item row="0" column="0" >
-    <widget class="QGroupBox" name="projectionGroup" >
-     <property name="title" >
+   <item row="0" column="0">
+    <widget class="QGroupBox" name="projectionGroup">
+     <property name="title">
       <string>Model Properties</string>
      </property>
-     <layout class="QGridLayout" >
-      <property name="margin" >
+     <layout class="QGridLayout">
+      <property name="margin">
        <number>9</number>
       </property>
-      <property name="spacing" >
+      <property name="spacing">
        <number>6</number>
       </property>
-      <item row="0" column="0" >
-       <layout class="QVBoxLayout" >
-        <property name="margin" >
+      <item row="0" column="0">
+       <layout class="QVBoxLayout">
+        <property name="spacing">
+         <number>6</number>
+        </property>
+        <property name="margin">
          <number>0</number>
         </property>
-        <property name="spacing" >
-         <number>6</number>
-        </property>
         <item>
-         <layout class="QHBoxLayout" >
-          <property name="margin" >
+         <layout class="QHBoxLayout">
+          <property name="spacing">
+           <number>6</number>
+          </property>
+          <property name="margin">
            <number>0</number>
           </property>
-          <property name="spacing" >
-           <number>6</number>
-          </property>
           <item>
-           <widget class="QLabel" name="modelFileNameLabel" >
-            <property name="text" >
+           <widget class="QLabel" name="modelFileNameLabel">
+            <property name="text">
              <string>File</string>
             </property>
@@ -56,17 +57,15 @@
           </item>
           <item>
-           <widget class="QLineEdit" name="modelFileNameEdit" />
+           <widget class="QLineEdit" name="modelFileNameEdit"/>
           </item>
           <item>
-           <widget class="QPushButton" name="modelBrowseButton" >
-            <property name="sizePolicy" >
-             <sizepolicy>
-              <hsizetype>0</hsizetype>
-              <vsizetype>0</vsizetype>
+           <widget class="QPushButton" name="modelBrowseButton">
+            <property name="sizePolicy">
+             <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
               <horstretch>0</horstretch>
               <verstretch>0</verstretch>
              </sizepolicy>
             </property>
-            <property name="maximumSize" >
+            <property name="maximumSize">
              <size>
               <width>23</width>
@@ -74,5 +73,5 @@
              </size>
             </property>
-            <property name="text" >
+            <property name="text">
              <string>...</string>
             </property>
@@ -82,6 +81,6 @@
         </item>
         <item>
-         <widget class="QCheckBox" name="modelCullingCheckBox" >
-          <property name="text" >
+         <widget class="QCheckBox" name="modelCullingCheckBox">
+          <property name="text">
            <string>Back face culling</string>
           </property>
@@ -89,6 +88,6 @@
         </item>
         <item>
-         <widget class="QCheckBox" name="modelSmoothingCheckBox" >
-          <property name="text" >
+         <widget class="QCheckBox" name="modelSmoothingCheckBox">
+          <property name="text">
            <string>Smoothing</string>
           </property>
@@ -97,8 +96,8 @@
         <item>
          <spacer>
-          <property name="orientation" >
+          <property name="orientation">
            <enum>Qt::Vertical</enum>
           </property>
-          <property name="sizeHint" >
+          <property name="sizeHint" stdset="0">
            <size>
             <width>20</width>
Index: projectionDesigner/trunk/projdesignerplugins/defaultplugin/defaultprojectorwidget.ui
===================================================================
--- projectionDesigner/trunk/projdesignerplugins/defaultplugin/defaultprojectorwidget.ui	(revision 432)
+++ projectionDesigner/trunk/projdesignerplugins/defaultplugin/defaultprojectorwidget.ui	(revision 434)
@@ -1,54 +1,55 @@
-<ui version="4.0" >
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
  <class>DefaultProjectorWidget</class>
- <widget class="QWidget" name="DefaultProjectorWidget" >
-  <property name="geometry" >
+ <widget class="QWidget" name="DefaultProjectorWidget">
+  <property name="geometry">
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>164</width>
+    <width>190</width>
     <height>141</height>
    </rect>
   </property>
-  <property name="windowTitle" >
+  <property name="windowTitle">
    <string>Projection Settings</string>
   </property>
-  <layout class="QHBoxLayout" >
-   <property name="margin" >
+  <layout class="QHBoxLayout">
+   <property name="spacing">
+    <number>6</number>
+   </property>
+   <property name="margin">
     <number>0</number>
    </property>
-   <property name="spacing" >
-    <number>6</number>
-   </property>
    <item>
-    <widget class="QGroupBox" name="projectionGroup" >
-     <property name="title" >
+    <widget class="QGroupBox" name="projectionGroup">
+     <property name="title">
       <string>Projection</string>
      </property>
-     <layout class="QHBoxLayout" >
-      <property name="margin" >
+     <layout class="QHBoxLayout">
+      <property name="spacing">
+       <number>6</number>
+      </property>
+      <property name="margin">
        <number>0</number>
       </property>
-      <property name="spacing" >
-       <number>6</number>
-      </property>
       <item>
-       <layout class="QVBoxLayout" >
-        <property name="margin" >
+       <layout class="QVBoxLayout">
+        <property name="spacing">
+         <number>6</number>
+        </property>
+        <property name="margin">
          <number>4</number>
         </property>
-        <property name="spacing" >
-         <number>6</number>
-        </property>
         <item>
-         <layout class="QHBoxLayout" >
-          <property name="margin" >
+         <layout class="QHBoxLayout">
+          <property name="spacing">
+           <number>6</number>
+          </property>
+          <property name="margin">
            <number>0</number>
           </property>
-          <property name="spacing" >
-           <number>6</number>
-          </property>
           <item>
-           <widget class="QLabel" name="fovLabel" >
-            <property name="text" >
+           <widget class="QLabel" name="fovLabel">
+            <property name="text">
              <string>FOV</string>
             </property>
@@ -56,9 +57,9 @@
           </item>
           <item>
-           <widget class="QLineEdit" name="fovEdit" />
+           <widget class="QLineEdit" name="fovEdit"/>
           </item>
           <item>
-           <widget class="QLabel" name="aspectLabel" >
-            <property name="text" >
+           <widget class="QLabel" name="aspectLabel">
+            <property name="text">
              <string>Aspect</string>
             </property>
@@ -66,19 +67,19 @@
           </item>
           <item>
-           <widget class="QLineEdit" name="aspectRatioEdit" />
+           <widget class="QLineEdit" name="aspectRatioEdit"/>
           </item>
          </layout>
         </item>
         <item>
-         <layout class="QHBoxLayout" >
-          <property name="margin" >
+         <layout class="QHBoxLayout">
+          <property name="spacing">
+           <number>6</number>
+          </property>
+          <property name="margin">
            <number>0</number>
           </property>
-          <property name="spacing" >
-           <number>6</number>
-          </property>
           <item>
-           <widget class="QLabel" name="nearLabel" >
-            <property name="text" >
+           <widget class="QLabel" name="nearLabel">
+            <property name="text">
              <string>Near</string>
             </property>
@@ -86,9 +87,9 @@
           </item>
           <item>
-           <widget class="QLineEdit" name="nearEdit" />
+           <widget class="QLineEdit" name="nearEdit"/>
           </item>
           <item>
-           <widget class="QLabel" name="farLabel" >
-            <property name="text" >
+           <widget class="QLabel" name="farLabel">
+            <property name="text">
              <string>Far</string>
             </property>
@@ -96,19 +97,19 @@
           </item>
           <item>
-           <widget class="QLineEdit" name="farEdit" />
+           <widget class="QLineEdit" name="farEdit"/>
           </item>
          </layout>
         </item>
         <item>
-         <layout class="QHBoxLayout" >
-          <property name="margin" >
+         <layout class="QHBoxLayout">
+          <property name="spacing">
+           <number>6</number>
+          </property>
+          <property name="margin">
            <number>0</number>
           </property>
-          <property name="spacing" >
-           <number>6</number>
-          </property>
           <item>
-           <widget class="QLabel" name="offaxisLabel" >
-            <property name="text" >
+           <widget class="QLabel" name="offaxisLabel">
+            <property name="text">
              <string>Off-axis </string>
             </property>
@@ -116,6 +117,6 @@
           </item>
           <item>
-           <widget class="QLabel" name="offaxisXLabel" >
-            <property name="text" >
+           <widget class="QLabel" name="offaxisXLabel">
+            <property name="text">
              <string>X</string>
             </property>
@@ -123,9 +124,9 @@
           </item>
           <item>
-           <widget class="QLineEdit" name="offaxisXEdit" />
+           <widget class="QLineEdit" name="offaxisXEdit"/>
           </item>
           <item>
-           <widget class="QLabel" name="offaxisYLabel" >
-            <property name="text" >
+           <widget class="QLabel" name="offaxisYLabel">
+            <property name="text">
              <string>Y</string>
             </property>
@@ -133,5 +134,5 @@
           </item>
           <item>
-           <widget class="QLineEdit" name="offaxisYEdit" />
+           <widget class="QLineEdit" name="offaxisYEdit"/>
           </item>
          </layout>
Index: projectionDesigner/trunk/projdesignerplugins/defaultplugin/defaultteapotscenewidget.ui
===================================================================
--- projectionDesigner/trunk/projdesignerplugins/defaultplugin/defaultteapotscenewidget.ui	(revision 432)
+++ projectionDesigner/trunk/projdesignerplugins/defaultplugin/defaultteapotscenewidget.ui	(revision 434)
@@ -1,6 +1,7 @@
-<ui version="4.0" >
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
  <class>DefaultTeapotSceneWidget</class>
- <widget class="QWidget" name="DefaultTeapotSceneWidget" >
-  <property name="geometry" >
+ <widget class="QWidget" name="DefaultTeapotSceneWidget">
+  <property name="geometry">
    <rect>
     <x>0</x>
@@ -10,37 +11,37 @@
    </rect>
   </property>
-  <property name="windowTitle" >
+  <property name="windowTitle">
    <string>Projection Settings</string>
   </property>
-  <layout class="QGridLayout" >
-   <property name="margin" >
+  <layout class="QGridLayout">
+   <property name="margin">
     <number>0</number>
    </property>
-   <property name="spacing" >
+   <property name="spacing">
     <number>0</number>
    </property>
-   <item row="0" column="0" >
-    <widget class="QGroupBox" name="projectionGroup" >
-     <property name="title" >
+   <item row="0" column="0">
+    <widget class="QGroupBox" name="projectionGroup">
+     <property name="title">
       <string>Teapot Properties</string>
      </property>
-     <layout class="QVBoxLayout" >
-      <property name="margin" >
+     <layout class="QVBoxLayout">
+      <property name="spacing">
+       <number>6</number>
+      </property>
+      <property name="margin">
        <number>9</number>
       </property>
-      <property name="spacing" >
-       <number>6</number>
-      </property>
       <item>
-       <layout class="QHBoxLayout" >
-        <property name="margin" >
+       <layout class="QHBoxLayout">
+        <property name="spacing">
+         <number>6</number>
+        </property>
+        <property name="margin">
          <number>0</number>
         </property>
-        <property name="spacing" >
-         <number>6</number>
-        </property>
         <item>
-         <widget class="QCheckBox" name="wireframeCheckBox" >
-          <property name="text" >
+         <widget class="QCheckBox" name="wireframeCheckBox">
+          <property name="text">
            <string>Wireframe</string>
           </property>
@@ -48,9 +49,9 @@
         </item>
         <item>
-         <widget class="QLabel" name="widthLabel" >
-          <property name="text" >
+         <widget class="QLabel" name="widthLabel">
+          <property name="text">
            <string>Width</string>
           </property>
-          <property name="alignment" >
+          <property name="alignment">
            <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
           </property>
@@ -58,15 +59,15 @@
         </item>
         <item>
-         <widget class="QSpinBox" name="widthSpinBox" >
-          <property name="suffix" >
+         <widget class="QSpinBox" name="widthSpinBox">
+          <property name="suffix">
            <string> px</string>
           </property>
-          <property name="maximum" >
+          <property name="minimum">
+           <number>1</number>
+          </property>
+          <property name="maximum">
            <number>10</number>
           </property>
-          <property name="minimum" >
-           <number>1</number>
-          </property>
-          <property name="value" >
+          <property name="value">
            <number>1</number>
           </property>
@@ -77,8 +78,8 @@
       <item>
        <spacer>
-        <property name="orientation" >
+        <property name="orientation">
          <enum>Qt::Vertical</enum>
         </property>
-        <property name="sizeHint" >
+        <property name="sizeHint" stdset="0">
          <size>
           <width>20</width>
@@ -101,9 +102,9 @@
    <slot>selectAll()</slot>
    <hints>
-    <hint type="sourcelabel" >
+    <hint type="sourcelabel">
      <x>114</x>
      <y>44</y>
     </hint>
-    <hint type="destinationlabel" >
+    <hint type="destinationlabel">
      <x>171</x>
      <y>47</y>